[Yum] yum install/upgrade

Dominique Leuenberger Dominique.Leuenberger at TMF-Group.com
Fri Nov 10 15:27:50 UTC 2006


 

>>> Reply on 10-11-2006 17:26:23 <<<> >>  Hello.
> >> 
> >>  I have installed my rpm package from some YUM repository.
> >> 
> >> # yum -y install mypackage
> >> 
> >>  This package requires bind, bind-libs and bind-utils packages.
YUM
> has
> >> installed my package and required packages, what hadn't been
> installed. But 
> >> YUM hasn't updated bind-libs, what had been installed.
> >>  
> >> I can update bind-libs with YUM:
> >> 
> >> # yum -y update bind-libs
> >> 
> >> But I need to install and update all required packages with the
only
> one 
> YUM  
> >> command. Is it possible? Please, help.
> 
> > why only one command?
> 
> Because, mypackage rpm runs postinstall script and I have error:
> 
> Error
> -----
> Failed to start BIND : <tt>Starting named: /usr/sbin/named: symbol
> lookup 
> error: /usr/sbin/named: undefined symbol: dns_resolver_setudpsize
> [FAILED]
> </tt>
> -----
> 
> > what keeps you from doing:
> 
> > yum -y install mypackage ; yum update
> 
> > or
> 
> > make a file with this in it:
> 
> > install mypackage
> > update
> > run
> > quit
> 
> > save it then run:
> 
> > yum -y shell /path/to/that/file
> 
> > -sv
> 
>  I have to update bind-libs before postinstall script will be run. 
>  Thank you for your help.
> 

To me, this looks like some packages have wrong dependencies. Probably,
there is only a dep to a Packagename, but not to a required minimum
version.
Maybe you can try something like
Requires: bind-lib >= 9.1.0
 
in your package?
 
Dominique
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.baseurl.org/pipermail/yum/attachments/20061110/ab82e170/attachment-0001.htm 


More information about the Yum mailing list